> ## Documentation Index
> Fetch the complete documentation index at: https://docs.neuro-tech.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Load private XML

## Overview

Allows the client to load previously saved private XML information from the server.

## HTTP request

`POST /Agent/Storage/LoadPrivateXml`

## Authentication

Requires a valid JWT bearer token.

## Request (JSON)

```json theme={null}
{
	"localName":Required(Str(PLocalName)),
	"namespace":Required(Str(PNamespace))
}
```

## Input parameters

| Parameter  | Description                |
| ---------- | -------------------------- |
| PLocalName | Local Name of XML to load. |
| PNamespace | Namespace of XML to load.  |

## Response (JSON)

```json theme={null}
{
	"created": Required(DateTime(PCreated)),
	"updated": Required(DateTime(PUpdated)),
	"Xml": Required(PXml)
}
```

## Response parameters

| Parameter | Description                                               |
| --------- | --------------------------------------------------------- |
| PCreated  | When the information record was first created.            |
| PUpdated  | When the information record was last updated.             |
| PXml      | XML of information stored on the server, for the account. |

## Notes

This endpoint uses the request schema notation described in [Pattern matching](/neuron-api/pattern-matching).
